--- title: "getCloudHadoopNotebookInstanceList" slug: "analytics-vhadoop-getcloudhadoopnotebookinstancelist" tags: ["Cloud Hadoop"] updated: 2026-09-17T09:48:02Z published: 2026-09-17T09:48:02Z canonical: "api.ncloud-docs.com/analytics-vhadoop-getcloudhadoopnotebookinstancelist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getCloudHadoopNotebookInstanceList Available in VPC Get the list of Cloud Hadoop notebooks. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vhadoop/v2/getCloudHadoopNotebookInstanceList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Cloud Hadoop APIs, see [Cloud Hadoop request headers](/docs/en/analytics-vhadoop#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default) | | `zoneCode` | String | Optional | Filter by zone code. - See [getZoneList](/docs/en/compute-vserver-server-common-getzonelist). | | `vpcNo` | String | Optional | Filter by VPC number. - See [getCloudHadoopTargetVpcList](/docs/en/analytics-vhadoop-getcloudhadooptargetvpclist). | | `subnetNo` | String | Optional | Filter by subnet number. - See [getCloudHadoopTargetSubnetList](/docs/en/analytics-vhadoop-getcloudhadooptargetsubnetlist). | | `cloudHadoopNotebookName` | String | Optional | Filter by notebook name. | | `cloudHadoopNotebookInstanceNoList` | Array | Optional | List of notebook instance numbers - Filter by notebook instance number. - Example: `cloudHadoopNotebookInstanceNoList.1=1234&cloudHadoopNotebookInstanceNoList.2=2345` | | `cloudHadoopNotebookServerName` | String | Optional | Filter by notebook node server name. | | `cloudHadoopNotebookServerInstanceNoList` | Array | Optional | List of notebook node server instance numbers - Filter by notebook node server instance number. - Example: `cloudHadoopNotebookServerInstanceNoList.1=1234&cloudHadoopNotebookServerInstanceNoList.2=2345` | | `pageNo` | Integer | Optional | Page number - 0-N (default: 0) | | `pageSize` | Integer | Optional | Page output count - 1-N (default: 1) | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vhadoop/v2/getCloudHadoopNotebookInstanceList ?regionCode=KR &cloudHadoopNotebookInstanceNoList.1=1000***** &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `getCloudHadoopNotebookInstanceListResponse` | Object | - | Response result - See [CloudHadoopNotebookInstanceList](/docs/en/common-vapidatatype-cloudhadoopnotebookinstancelist). | | `getCloudHadoopNotebookInstanceListResponse.requestId` | String | - | ID for the request - UUID format | | `getCloudHadoopNotebookInstanceListResponse.returnCode` | String | - | Response code | | `getCloudHadoopNotebookInstanceListResponse.returnMessage` | String | - | Response message | ### Response status codes For response status codes common to all Cloud Hadoop APIs, see [Cloud Hadoop response status codes](/docs/en/analytics-vhadoop#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "getCloudHadoopNotebookInstanceListResponse": { "totalRows": 1, "cloudHadoopNotebookInstanceList": [ { "cloudHadoopNotebookInstanceNo": "1000*****", "cloudHadoopNotebookName": "hd-nt2", "cloudHadoopNotebookImageProductCode": "SW.VCHDP.LNX64.CNTOS.0708.HDNTB.10.B050", "cloudHadoopNotebookInstanceStatusName": "running", "cloudHadoopNotebookInstanceStatus": { "code": "CREAT", "codeName": "CLOUD DATABASE (VPC) Created status" }, "cloudHadoopNotebookInstanceOperation": { "code": "NULL", "codeName": "CLOUD DATABASE(VPC) Null OP" }, "cloudHadoopNotebookVersion": { "code": "NOTEBOOK1.0", "codeName": "Notebook 1.0" }, "cloudHadoopNotebookComponent": { "code": "NOTEBOOK_1.0", "codeName": "Jupyter notebook 6.4.10 , JupyterLab : 3.2.9" }, "cloudHadoopNotebookServerInstanceList": [ { "cloudHadoopNotebookServerInstanceNo": 1000*****, "cloudHadoopNotebookServerName": "n-001-hd-nt2-5uln-hd", "cloudHadoopNotebookServerRole": { "code": "N", "codeName": "Notebook Node" }, "cloudHadoopNotebookServerInstanceStatusName": "running", "cloudHadoopNotebookServerInstanceStatus": { "code": "RUN", "codeName": "CLOUD DATABASE (VPC) server Running status" }, "cloudHadoopNotebookServerInstanceOperation": { "code": "NOOP", "codeName": "CLOUD DATABASE (VPC) server null OP" }, "regionCode": "KR", "zoneCode": "KR-2", "vpcNo": "7****", "subnetNo": "17****", "cpuCount": 4, "memorySize": 17179869184, "dataStorageSize": 107374182400 } ] } ], "requestId": "f0748aa3-****-****-****-397bfb97e6d6", "returnCode": "0", "returnMessage": "success" } } ```